package ai.java.back.controller;

import ai.java.back.model.LoginRequest;
import ai.java.back.model.RegisterRequest;
import ai.java.back.model.LoginResponseModel;
import ai.java.back.service.LoginService;
import ai.java.back.util.JwtUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/v1/auth")
public class LoginController {

    @Autowired
    private LoginService loginService;

    @PostMapping("/login")
    public ResponseEntity<LoginResponseModel> login(@RequestBody LoginRequest loginRequest) {
        boolean success = loginService.login(loginRequest.getUsername(), loginRequest.getPassword(), loginRequest.getIp());
        if (success) {
            String token = JwtUtil.generateToken(loginRequest.getUsername());
            return ResponseEntity.ok(new LoginResponseModel("登录成功" , 200, token));
        } else {
            return ResponseEntity.status(401).body(new LoginResponseModel("用户名或密码错误", 401, null));
        }
    }

    @PostMapping("/register")
    public ResponseEntity<LoginResponseModel> register(@RequestBody RegisterRequest registerRequest) {
        boolean success = loginService.registerUser(registerRequest.getUsername(), registerRequest.getPassword(), registerRequest.getPhone());
        if (success) {
            return ResponseEntity.ok(new LoginResponseModel("注册成功", 200, null));
        } else {
            return ResponseEntity.status(400).body(new LoginResponseModel("用户名已存在", 400,null));
        }
    }
}
