package ai.java.back.controller;

import ai.java.back.model.SessionRequest;
import ai.java.back.model.SessionResponse;
import ai.java.back.service.SessionService;
import ai.java.back.model.Message;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.List;

@RestController
@RequestMapping("/v1/session")
public class SessionController {
    @Autowired
    private SessionService sessionService;

    @PostMapping("/start")
    public SessionResponse startSession(@RequestBody SessionRequest request) {
        return sessionService.startSession(request);
    }

    @GetMapping("/list/{userId}")
    public List<SessionResponse> listSessions(@PathVariable Integer userId) {
        return sessionService.listSessions(userId);
    }

    @GetMapping("/previous/{userId}")
    public SessionResponse previousSession(@PathVariable Integer userId) {
        return sessionService.previousSession(userId);
    }

    // 新增：通过会话id获取前50条消息
    @GetMapping("/messages/{sessionId}")
    public List<Message> getSessionMessages(@PathVariable Integer sessionId) {
        return ((ai.java.back.service.impl.SessionServiceImpl)sessionService).getSessionMessages(sessionId);
    }
}
